1.33.0-wmf.6 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.33.0-wmf.6
Release Date
Mon, Nov 26, 12:00 AM

2018 week 48 1.33-wmf.6 Changes wmf/1.33-wmf.6

This MediaWiki Train Deployment is scheduled for the week of Monday, November 26th:

Monday November 26thTuesday, November 27thWednesday, November 28thThursday, November 29thFriday
SWAT deployments onlyBranch wmf.6, Deploy to Group 0 WikisDeploy wmf.6 to Group 1 WikisDeploy wmf.6 to all WikisNo deployments on fridays

How this works

  • Any serious bugs affecting wmf.6 should be added as subtasks beneath this one.
  • Any open subtasks block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.

Related Links

Other Deployments

Previous: 1.33.0-wmf.5
Next: 1.33.0-wmf.7
greg created this task.Oct 10 2018, 5:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:22 PM
greg triaged this task as Normal priority.Oct 10 2018, 7:27 PM
greg assigned this task to hashar.Nov 7 2018, 11:17 PM
thcipriani added a subscriber: mmodell.

Mentioned in SAL (#wikimedia-operations) [2018-11-27T14:04:32Z] <hashar> Cutting 1.33.0-wmf.6 branches | T206660

Mentioned in SAL (#wikimedia-operations) [2018-11-27T14:33:44Z] <hashar> scap prep 1.33.0-wmf.6 | T206660

Mentioned in SAL (#wikimedia-operations) [2018-11-27T14:40:31Z] <hashar> Applied security patches for 1.33.0-wmf.6 | T206660

Change 476028 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Group0 to 1.33.0-wmf.6

https://gerrit.wikimedia.org/r/476028

Mentioned in SAL (#wikimedia-operations) [2018-11-27T15:02:32Z] <hashar@deploy1001> Started scap: testwiki to php-1.33.0-wmf.6 and rebuild l10n cache | T206660

Mentioned in SAL (#wikimedia-operations) [2018-11-27T15:35:14Z] <hashar@deploy1001> Finished scap: testwiki to php-1.33.0-wmf.6 and rebuild l10n cache | T206660 (duration: 32m 42s)

Change 476028 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.33.0-wmf.6

https://gerrit.wikimedia.org/r/476028

At 15:49UTC I rolled back wikidatawiki to 1.33.0-wmf.4 at @Lydia_Pintscher's request via IRC. All other group1 wikis are still on 1.33.0-wmf.6.

https://tools.wmflabs.org/sal/log/AWdbArniA1BDhGjCTkDp

readding the wikidata blocking task as it is blocking the full rollout of wmf.6 to all wikis (wikidatawiki).

wikidatawiki is back to 1.33.0-wmf.6

Change 476514 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Revert "all wikis to 1.33.0-wmf.6"

https://gerrit.wikimedia.org/r/476514

Change 476514 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "all wikis to 1.33.0-wmf.6"

https://gerrit.wikimedia.org/r/476514

T210739 occurred previously, not a blocker anymore.

T210621 is no more a blocker, it is related to the Actor deployment and a config flag that got changed.

hashar closed this task as Resolved.Thu, Nov 29, 10:20 PM

Should be stable now. All blockers got quickly fixed, some other turned out to be pre existing or one off issues.

Thanks to anyone that participated.

greg awarded a token.Thu, Nov 29, 10:23 PM